Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.io
Class RandomAccessFileWriter

    java.lang.Object
      java.io.Writer
          gnu.prolog.io.RandomAccessFileWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class RandomAccessFileWriter

extends Writer

Writes to a `RandomAccessFile`

Author:
  Michiel Hendriks

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`RandomAccessFileWriter(RandomAccessFile raf)`

Method Summary
`void` | `close()`
`void` | `flush()`
`long` | `getPosition()`
`void` | `seek(long pos)`
`long` | `size()`
`void` | `write(char[] cbuf, int off, int len)`

Methods inherited from class java.io.Writer
`append, append, append, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomAccessFileWriter

    public RandomAccessFileWriter(RandomAccessFile raf)

Parameters:
  `raf` -

Method Detail

### seek

    public void seek(long pos)
              throws IOException

  Throws:
    `IOException`

### getPosition

    public long getPosition()
                     throws IOException

  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Specified by:
    `close` in class `Writer`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Specified by:
    `flush` in class `Writer`
  Throws:
    `IOException`

### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws IOException

  Specified by:
    `write` in class `Writer`
  Throws:
    `IOException`

### size

    public long size()
              throws IOException

  Returns:
    the size of the RandomAccessFile
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD